Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class VertexListImpl

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.VertexSetBase
                  de.grogra.math.VertexListImpl

All Implemented Interfaces:
  ContextDependent, VertexList, VertexSet, Manageable, Shareable

Direct Known Subclasses:
  BezierCurve, BSplineCurveImpl

    public class VertexListImpl

extends VertexSetBase
implements VertexList

Nested Class Summary
`static class` | `VertexListImpl.Type`

Field Summary
`static VertexListImpl.Type` | `$TYPE`

Fields inherited from class de.grogra.math.VertexSetBase
`data, data$FIELD, dimension, dimension$FIELD`

Constructor Summary
`VertexListImpl()`
`VertexListImpl(float[] data, int dimension)`

Method Summary
`ManageableType` | `getManageableType()`
`int` | `getSize(GraphState gs)`

Methods inherited from class de.grogra.math.VertexSetBase
`dependsOnContext, getData, getDimension, getDimension, getVertex, getVertexIndex, isRational, setData, setDimension`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.math.VertexSet
`getDimension, getVertex, isRational`

Methods inherited from interface de.grogra.graph.ContextDependent
`dependsOnContext, writeStamp`

Field Detail

### $TYPE

    public static final VertexListImpl.Type $TYPE

Constructor Detail

### VertexListImpl

    public VertexListImpl()

### VertexListImpl

    public VertexListImpl(float[] data,
                          int dimension)

Method Detail

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getSize

    public int getSize(GraphState gs)

  Specified by:
    `getSize` in interface `VertexList`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD